name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions 🚀
on: [push]

jobs:
  Explore-Gitea-Actions:
    runs-on: ubuntu-latest
    steps:
      # - name: Check out repository code
      #   uses: actions/checkout@v4
      - name: DEBUG
        run: ls /run; ls /run/user; ls /run/user/1000
      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3
        with:
          endpoint: unix:///run/user/1000/docker.sock
      # - name: Build and push
      #   uses: docker/build-push-action@v6
      #   with:
      #     push: true
      #     tags: evanespen/blog:latest
      # - name: Build image
      #   run: buildah build -f Dockerfile -t blog
      # - name: Log in to registry
      #   uses: docker/login-action@v3
      #   with:
      #     registry: ${{ env.GITEA_DOMAIN }}
      #     username: ${{ env.GITEA_REGISTRY_USER }}
      #     password: ${{ secrets.CONTAINER_REGISTRY_TOKEN }}
